import Api from "~/service/Api";
import Dids from "../Public/Dids"
import Pub from "../Public"

export default class Ditopn {
	constructor() {
		this.data = {
			didgrp: new Dids().data.Didgrp,
			ditp: new Dids().data.Ditp,
			litbenl1blk: "",			//  XMLPanel litbenl1的内置block		.litbenl1blk
			litapll1blk: "",			//  XMLPanel litapll1的内置block		.litapll1blk
			litrmbl1blk: "",			//  XMLPanel litrmbl1的内置block		.litrmbl1blk
			setmod: new Pub().data.Setmod,
			mtabut: new Pub().data.Mtabut,
			trnmod: new Pub().data.Trnmod,
			liaall: new Pub().data.Liaall,
			litameadv: "",			//  特殊规定		.litameadv
			ameadvrmk: "",			//  特殊规定条件		.ameadvrmk
			godnam: "",			//  槧物简称		.godnam
			bchname: "",			//  branch  name		.bchname
			pageId: ""			// ctx的key
		}
	}
}